Bug 46727 - Firewall customize checkboxes lost on Back
Firewall customize checkboxes lost on Back
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-29 21:21 EDT by Brent Nordquist
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 12:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Nordquist 2001-06-29 21:21:48 EDT
Description of Problem:
After completing the TUI "Firewall Configuration - Customize" screen, if
you choose Back and later reenter it, the "Other ports" field is preserved
but the checkboxes (DHCP, SSH, Telnet, etc.) are not--they're all blank.
This could easily lead to a failure of expectation that the values were
preserved, so the user thinks they don't need to revisit the "Customize"
screen the second time through.

How Reproducible:
Always.

Steps to Reproduce:
1. Enter values on the "Hostname Configuration" TUI screen.
2. On the next "Firewall Configuration" screen, choose the "Medium" radio
button, and then click the "Customize" button.
3. Select several checkboxes (I did SSH and WWW), and also enter an "Other
ports" value (I did "finger:tcp,auth:tcp"), and click Ok.
4. Click Back. (This is the important part... revisiting Customize
without Back won't reproduce it.)
5. Click Ok on the "Hostname Configuration" screen.
6. Click Customize on the "Firewall Configuration" screen.

Actual Results:
The checkboxes set in step #3 are now blank, although the "Other ports"
setting survived.

Expected Results:
The checkbox values previously set should be preserved.
Comment 1 Glen Foster 2001-07-13 16:30:35 EDT
Re-assigning to anaconda component.
Comment 2 Glen Foster 2001-07-13 18:19:58 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 3 Jeremy Katz 2001-07-22 01:13:32 EDT
Fixed for both GUI and TUI in CVS

Note You need to log in before you can comment on or make changes to this bug.